#pragma once

#include <map>
#include <string>

struct image;

struct font {
	font(image const& image, bool proportional);
	font(std::string const& path, bool proportional);

	image const& operator[](char ch) const;
private:
	std::map<char, image> _glyphs;
};
